evaluations
Create evaluations assistant
Requires scopes: eval:write
POST
/
api
/
evaluations
/
{id}
/
playground
/
assistant
Create evaluations assistant
curl --request POST \
--url https://evalgate.com/api/evaluations/{id}/playground/assistant \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"command": "<string>",
"context": {
"mode": "scorer",
"variantId": 123,
"testCaseId": 123
}
}
'import requests
url = "https://evalgate.com/api/evaluations/{id}/playground/assistant"
payload = {
"command": "<string>",
"context": {
"mode": "scorer",
"variantId": 123,
"testCaseId": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
command: '<string>',
context: {mode: 'scorer', variantId: 123, testCaseId: 123}
})
};
fetch('https://evalgate.com/api/evaluations/{id}/playground/assistant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"proposal": {
"id": 123,
"status": "<string>",
"payload": {
"type": "scorer",
"summary": "<string>",
"after": true,
"rationale": "<string>",
"before": true,
"evidence": [
{
"type": "<string>",
"id": "<string>"
}
],
"estimatedCostUsd": "<string>",
"warnings": [
"<string>"
]
},
"createdAt": "<string>",
"updatedAt": "<string>"
},
"payload": {
"type": "scorer",
"summary": "<string>",
"after": true,
"rationale": "<string>",
"before": true,
"evidence": [
{
"type": "<string>",
"id": "<string>"
}
],
"estimatedCostUsd": "<string>",
"warnings": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I
Create evaluations assistant
